Subject: NEW SOLAR PAGE !!! http://208.5.13.230/sre/index.htm

From: jsalva@bitmailer (JSalva)
Date: Mon, 01 Jul 1996 12:15:25 GMT

SRE is a Company from the suth os Spain, leader on its area on the
installation of Solar Cells and Wind Mills to produce electricity.
Please, check our page and submit any comment to [email-masked].
Remember the page stills under construction, so be patient...

Thanks.